// Code generated by protoc-gen-micro. DO NOT EDIT.
// source: proto/container/container.proto

/*
Package de_fhdortmund_fb4_ewks_srv_container is a generated protocol buffer package.

It is generated from these files:
	proto/container/container.proto

It has these top-level messages:
	Request
	Response
*/
package de_fhdortmund_fb4_ewks_srv_container

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	client "github.com/micro/go-micro/client"
	server "github.com/micro/go-micro/server"
	context "context"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ client.Option
var _ server.Option

// Client API for Container service

type ContainerService interface {
	GetItems(ctx context.Context, in *Request, opts ...client.CallOption) (*Response, error)
}

type containerService struct {
	c    client.Client
	name string
}

func NewContainerService(name string, c client.Client) ContainerService {
	if c == nil {
		c = client.NewClient()
	}
	if len(name) == 0 {
		name = "de.fhdortmund.fb4.ewks.srv.container"
	}
	return &containerService{
		c:    c,
		name: name,
	}
}

func (c *containerService) GetItems(ctx context.Context, in *Request, opts ...client.CallOption) (*Response, error) {
	req := c.c.NewRequest(c.name, "Container.GetItems", in)
	out := new(Response)
	err := c.c.Call(ctx, req, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Container service

type ContainerHandler interface {
	GetItems(context.Context, *Request, *Response) error
}

func RegisterContainerHandler(s server.Server, hdlr ContainerHandler, opts ...server.HandlerOption) {
	type container interface {
		GetItems(ctx context.Context, in *Request, out *Response) error
	}
	type Container struct {
		container
	}
	h := &containerHandler{hdlr}
	s.Handle(s.NewHandler(&Container{h}, opts...))
}

type containerHandler struct {
	ContainerHandler
}

func (h *containerHandler) GetItems(ctx context.Context, in *Request, out *Response) error {
	return h.ContainerHandler.GetItems(ctx, in, out)
}
